Bug 426478 - [wireless] system seems to hang every 3-4 minutes for 4-5 seconds
[wireless] system seems to hang every 3-4 minutes for 4-5 seconds
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 08:39 EST by Andrea Santilli
Modified: 2009-01-09 00:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:34:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
contents of /var/log/dmesg for kernel 2.6.23.1-49.fc8 (26.32 KB, text/plain)
2008-01-19 16:41 EST, Andrea Santilli
no flags Details
contents of /var/log/dmesg for kernel 2.6.23.9-85.fc8 (27.07 KB, text/plain)
2008-01-19 16:42 EST, Andrea Santilli
no flags Details
contents of /var/log/dmesg for kernel 2.6.23.14-115.fc8 (25.41 KB, text/plain)
2008-02-08 16:21 EST, Andrea Santilli
no flags Details

  None (edit)
Description Andrea Santilli 2007-12-21 08:39:58 EST
Description of problem:
with the new kernels 2.6.23.8-63.fc8 and 2.6.23.9-85.fc8 the system seems to
hang for 4-5 seconds every 3-4 of minutes. 
The effect is weird: keyboard input gets repeated (if I'm typing), mouse locks,
sound hangs etc, but after some seconds everything comes back to normality.
I'm pretty sure it is caused by the kernel because with version 2.6.23.1-49.fc8
 this doesn't happen (in fact I still use that version because of this bug)
In changelog I noticed this line:
* mar nov 13 2007 Chuck Ebbert <cebbert@redhat.com> 2.6.23.1-53
- Disable precise CPU time accounting, fixing a divide-by-zero bug.
maybe is this the cause?
if you need more informations please tell me how to get them


Version-Release number of selected component (if applicable):
kernel-2.6.23.8-63.fc8 and kernel-2.6.23.9-85.fc8


How reproducible:
always
Comment 1 Chuck Ebbert 2007-12-21 16:39:40 EST
What kind of hardware?

And please attach contents of /var/log/dmesg from working kernel and broken one.
Comment 2 Andrea Santilli 2008-01-19 16:41:57 EST
Created attachment 292274 [details]
contents of /var/log/dmesg for kernel 2.6.23.1-49.fc8
Comment 3 Andrea Santilli 2008-01-19 16:42:33 EST
Created attachment 292275 [details]
contents of /var/log/dmesg for kernel 2.6.23.9-85.fc8
Comment 4 Andrea Santilli 2008-01-19 16:43:03 EST
Hello there, sorry for the delay I had to stay away for a while.
It looks like those pauses are due to the wireless card. In fact when I
disable the wireless networking through Network Manager everything seems fine
even on the latest kernels.
Even though I'm not sure this depends on the kernel, I attach here the dmesg for
both kernels anyway.
The hardware is an Acer Aspire 5633WMLi.
Comment 5 Andrea Santilli 2008-01-25 07:21:45 EST
this bug is still present in kernel 2.6.23.14-107.fc8
as before if i disable wireless networking everything is fine.
Comment 6 Andreas Haupt 2008-01-25 08:38:03 EST
I can verify this problem on a Dell D420 notebook (with running iwl3945 driver).
I'm also still running on 2.6.23.1-49 due to those annoying hangs.

Any other information needed?
Comment 7 Andrea Santilli 2008-01-25 10:55:48 EST
hmm im running iwl3945 too... maybe this happens because of that driver?
Comment 8 Andrea Santilli 2008-02-08 10:11:04 EST
this bug is still present in 2.6.23.14-115.fc8
Comment 9 Andrea Santilli 2008-02-08 16:21:03 EST
Created attachment 294419 [details]
contents of /var/log/dmesg for kernel 2.6.23.14-115.fc8

This is the contents of /var/log/dmesg on kernel 2.6.23.14-115.fc8
Comment 10 Andrea Santilli 2008-03-28 20:41:39 EDT
This bug seems to be fixed with kernel kernel-2.6.24.3-50.fc8.
My laptop now correctly detects wireless networks without making the system hang
from time to time anymore.
I still haven't tried to log into a wireless network though.
(last not working kernel was kernel-2.6.24.3-34.fc8)
Comment 11 Andreas Haupt 2008-03-29 05:59:19 EDT
Sorry, on my system those hangs still occur quite often with kernel
kernel-2.6.24.3-50.fc8, sometimes they even end up with a kernel panic (very
often with 3-34.fc8). Additionally I have problems to connect to a wpa-secured
access point.

I'm back on ipw3945 now, those hangs exist as well with this old driver but at
least I can use wireless over wpa again and no kernel panics occur.
Comment 12 Andreas Haupt 2008-05-18 11:05:56 EDT
I think, it's not a wireless problem. As those ugly hangs had driven me crazy I
tried Fedora9 - no change, no logs. After that I tried Ubuntu "hardy" - same
problem but something in the logs:

[  282.382262] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
[  282.387778] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 4
[  282.388800] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
[  283.499771] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
[  283.519122] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 5
[  325.047624] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
[  325.048708] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
[  325.049797] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
[  328.436380] psmouse.c: GlidePoint at isa0060/serio1/input0 - driver resynched.

Searching for those messages with Google provided a huge list of problems with a
Synaptic touchpad (builtin on a Dell D420). The solution provided were:

1. adding "i8042.nomux" as kernel parameter in grub's menu.lst
2. adding "options psmouse proto=imps" into modprobe.conf

This solved my problems. As I don't have Fedora on my notebook anymore, can
someone please test whether it fixes the problems there, as well?
Comment 13 Bug Zapper 2008-11-26 04:06:37 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-01-09 00:34:48 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.